/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { type ReactNode } from 'react';
declare type ContextValue = {
    /** A map from `groupId` to the `value` of the saved choice. */
    readonly tabGroupChoices: {
        readonly [groupId: string]: string;
    };
    /** Set the new choice value of a group. */
    readonly setTabGroupChoices: (groupId: string, newChoice: string) => void;
};
export declare function TabGroupChoiceProvider({ children, }: {
    children: ReactNode;
}): JSX.Element;
export declare function useTabGroupChoice(): ContextValue;
export {};
//# sourceMappingURL=tabGroupChoice.d.ts.map