/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import type { Location, Action } from 'history';
declare type HistoryBlockHandler = (location: Location, action: Action) => void | false;
/**
 * Permits to register a handler that will be called on history pop navigation
 * (backward/forward). If the handler returns `false`, the backward/forward
 * transition will be blocked. Unfortunately there's no good way to detect the
 * "direction" (backward/forward) of the POP event.
 */
export declare function useHistoryPopHandler(handler: HistoryBlockHandler): void;
export {};
//# sourceMappingURL=historyUtils.d.ts.map